apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: opengist-ingress
  namespace: default
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web,websecure
spec:
  ingressClassName: traefik

  tls:
    - hosts:
        - opengist.lotimmy.com
        - opengist.192.168.42.120.nip.io
      secretName: nip-io-cert

  rules:
    - host: opengist.lotimmy.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: opengist-web
                port:
                  number: 6157

    - host: opengist.192.168.42.120.nip.io
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: opengist-web
                port:
                  number: 6157

